Get the most out of your Centmin Mod LEMP stack
Become a Member

Beta Branch add NGINX_MODSECURITY_MAXMIND='n' modsecurity variable in 123.09beta01

Discussion in 'Centmin Mod Github Commits' started by eva2000, May 1, 2019.

  1. eva2000

    eva2000 Administrator Staff Member

    42,837
    9,705
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,970
    Local Time:
    3:30 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    add NGINX_MODSECURITY_MAXMIND='n' modsecurity variable in 123.09beta01

    - GeoIP2 and libmaxmind installed for nginx GeoIP2 module seems to break modsecurity v3 nginx connector builds in centmin.sh menu option 4 nginx compiles.
    - So for now if GeoIP2 Nginx module is installed, for modsecurity v3 nginx connector builds disable libmaxmind for modsecurity usage via NGINX_MODSECURITY_MAXMIND='n' and fall back to GeoIP legacy library for modsecurity. Once I figure out the issue, you should be able to switch modsecurity v3 connector back to libmaxmind library via setting NGINX_MODSECURITY_MAXMIND='y' in persistent config file /etc/centminmod/custom_config.inc prior to centmin.sh menu option 4 nginx recompilation.

    Continue reading...

    123.09beta01 branch
     
  2. eva2000

    eva2000 Administrator Staff Member

    42,837
    9,705
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,970
    Local Time:
    3:30 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x